Issue 104087

Summary: Documentation for changes in chart format and insert menu
Product: General Reporter: IngridvdM
Component: chartAssignee: Uwe Fischer <uwefis>
Status: CLOSED FIXED QA Contact: issues@graphics <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: 3.3.0 or older (OOo)   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description IngridvdM 2009-08-07 15:46:33 UTC
With CWS chartuseability01 with issue 103593 the behavior of some entries in the
insert menu have changed:
The entries
Insert -> Data Labes...
Insert -> Trend Lines ...
Insert -> Mean Value Line
Insert -> Y Error Bars...
now do different things dependent on what is selected within the chart.

Further the UNO-commands for the insert menu entries have changed as follows:
.uno:InsertTitle → .uno:InsertMenuTitles
.uno:InsertLegend → .uno:InsertMenuLegend
.uno:InsertAxis → .uno:InsertMenuAxes
.uno:InsertGrids → .uno:InsertMenuGrids
.uno:InsertDescription-> .uno:InsertMenuDataLabels
.uno:InsertTrendlines → .uno:InsertMenuTrendlines
.uno:InsertMeanValues → .uno:InsertMenuMeanValues
.uno:InsertYErrorbars →  .uno:InsertMenuYErrorBars

In result the following UNO-commands are not used anymore at all and can be removed:
.uno:InsertStatistics
.uno:DiagramObjects
.uno:InsertTitle
.uno:InsertGrids
.uno:InsertTrendlines
.uno:InsertMeanValues
.uno:InsertYErrorbars

But some commands have found a new meaning and are now used within the context menu:
.uno:InsertAxis
.uno:InsertLegend
.uno:InsertDescription
(see http://specs.openoffice.org/chart/ChartContextMenu.odt)

Another change in the the menu is that the entry 'Legend...' has changed its
position and has moved up two places within the format and the insert menu.

And the last change:
The first entry in the format menu has changed translation and command:
Object Properties... → Format Selection...
.uno:DiagramObjects -> .uno:FormatSelection

Please adapt the documentation accordingly in CWS chartuseabilty01. Thanks!

For further details have a look at the specification:
http://specs.openoffice.org/chart/ChartMenu.odt
Comment 1 Uwe Fischer 2009-08-10 11:48:50 UTC
Changed files in CWS chartuseability01
Comment 2 IngridvdM 2009-08-25 14:17:10 UTC
I changed some remaining occurrences of 'Object Properties' to 'Format
Selection' in addition.
Comment 3 Uwe Fischer 2009-08-25 15:41:55 UTC
Verified the first changes,
added some more changes to files
schart/01/04060000.xhp
schart/01/05020100.xhp
schart/01/three_d_view.xhp
Comment 4 Uwe Fischer 2009-08-26 14:14:09 UTC
verified the last fixes in CWS